/*****************************************************\
	CTux_Level.h
	Author: André Schnabel
	Date: 30.10.02 - 31.10.02
	License: GPL
\*****************************************************/

#ifndef __CTUX_LEVEL_H__
#define __CTUX_LEVEL_H__

#define MAP_ROWS 24
#define MAP_COLS 32

#define NUM_TILES 6

extern int map[MAP_ROWS][MAP_COLS];

void InitMap(void);
void DrawMap(void);
void DeinitMap(void);

void DetectCollisions(bool *able_jump, bool *able_fall, bool *able_right, bool *able_left, SDL_Rect *rect);

#endif